libgtkdatabox-0.9.2-0_0.9.2.0+dfsg-1_amd64.deb


Advertisement

Description

libgtkdatabox-0.9.2-0 - Gtk+ library to display large amounts of numerical data

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libgtkdatabox-0.9.2-0
Package version 0.9.2.0+dfsg
Package release 1
Package architecture amd64
Package type deb
Installed size 171 B
Download size 52.59 KB
Official Mirror ftp.br.debian.org
One or more data sets of thousands of data points (X and Y coordinate) may be
displayed and updated in split seconds. The widget is therfore used in many
scientific and private projects that need to show quickly changing data live.
GtkDatabox offers the ability to zoom into and out of the data and to navigate
through your data by scrolling.
In addition to rulers and a simple coordinate cross, GtkDatabox now also allows
you to add one (or even more) configurable grids like on an oscilloscope.
Data may be presented as dots, lines connecting the data, or vertical bars.
The widget allows you to easily transform pixel coordinates into data
coordinates, thus allowing you to easily create powerful applications for
data analysis.

Alternatives

Package Version Architecture Repository
libgtkdatabox-0.9.2-0_0.9.2.0+dfsg-1_i386.deb 0.9.2.0+dfsg i386 Debian Main
libgtkdatabox-0.9.2-0 - - -

Requires

Name Value
libatk1.0-0 >= 1.12.4
libc6 >= 2.4
libcairo2 >= 1.2.4
libfontconfig1 >= 2.11
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.37.3
libgtk2.0-0 >= 2.24.0
libpango-1.0-0 >= 1.18.0
libpangocairo-1.0-0 >= 1.14.0
libpangoft2-1.0-0 >= 1.14.0

Download

Type URL
Binary Package libgtkdatabox-0.9.2-0_0.9.2.0+dfsg-1_amd64.deb
Source Package libgtkdatabox

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgtkdatabox-0.9.2-0 deb package:
    # sudo apt-get install libgtkdatabox-0.9.2-0

Files

Path
/usr/lib/x86_64-linux-gnu/libgtkdatabox-0.9.2.so.0
/usr/lib/x86_64-linux-gnu/libgtkdatabox-0.9.2.so.0.0.0
/usr/share/doc/libgtkdatabox-0.9.2-0/changelog.Debian.gz
/usr/share/doc/libgtkdatabox-0.9.2-0/changelog.gz
/usr/share/doc/libgtkdatabox-0.9.2-0/copyright
/usr/share/lintian/overrides/libgtkdatabox-0.9.2-0

Changelog

2014-07-27 - Andreas Tille <tille@debian.org>
libgtkdatabox (1:0.9.2.0+dfsg-1) unstable; urgency=medium
* Use dh-autoreconf to update autoconf files (Thanks for the patch to
Breno Leitao <brenohl@br.ibm.com>)
Closes:  #755729
* Exclude compressed jquery.js from upstream source (its not used anyway)
* Use dh_links instead of dh_linktrees since jquery.js was removed
* debian/control: Fix capitalisation of API
2014-01-19 - Andreas Tille <tille@debian.org>
libgtkdatabox (1:0.9.2.0-4) unstable; urgency=low
* Use --multiarch to make sure library is correctly installed into
/usr/lib/<architecture-tripplet>
* Drop d-devlibdeps call which is redundant because automatically
called in d-shlibmove
* cme fix dpkg-control
* debian/rules: Regard multi-arch builds
Closes: #735795
* debian/libgtkdatabox-0.9.2-0.lintian-overrides: adapt override to
multi-arch location
2013-05-23 - Andreas Tille <tille@debian.org>
libgtkdatabox (1:0.9.2.0-3) unstable; urgency=low
[ Daniele E. Domenichelli ]
* Add 05_explicitly_link_libm.patch
* Add 06_gladeui-2.0.patch
* debian/control
- Add quilt to b-d
- Change b-d from libgladeui-1-dev to libgladeui-dev
Closes: #709242
* debian/rules
- Fix installed files glade3 -> glade
[ Andreas Tille ]
* debian/control:
- Explicit Build-Dependency from quilt is not needed.
- Standards-Version: 3.9.4 (no changes needed)
2013-05-18 - Andreas Tille <tille@debian.org>
libgtkdatabox (1:0.9.2.0-2) unstable; urgency=low
* debian/control: Add proper conflicts betwen new -doc package and
old -dev package containing the same files
Closes: #708667
2013-05-10 - Andreas Tille <tille@debian.org>
libgtkdatabox (1:0.9.2.0-1) unstable; urgency=low
* New upstream version
Removed unneeded patche: 03_deprecated_GTK.patch
Refreshed remaining patches
* Reflect move to Git by changing Vcs fields
* debian/control:
- Remove DM-Upload-Allowed
- Standards-Version: 3.9.4 (no changes needed)
- Priority: s/extra/optional/
- Normalised
- different short descriptions
- new binary package featuring API documentation separately
* debian/rules: New version does not contain docs/reference
any more so no need for extra handling
2012-07-11 - Andreas Tille <tille@debian.org>
libgtkdatabox (1:0.9.1.3-1) experimental; urgency=low
* Upload to experimental because of freeze
* New upstream version
- Refreshed remaining patches
- Deleted 02_deprecated_GTK.patch which was applied upstream
* Incorporated patch from Ubuntu version below
Closes: #640004
* debian/README.source: removed because redundant
* debian/control:
- Standards-Version: 3.9.3
- Updated versioned package names
- Fixed Vcs fields
- Dropped Build-Depends cdbs, quilt
- Do not repeat Section field in binary packages if not
required by d-shlibs
* debhelper 9 (control+compat)
* debian/rules:
- cdbs -> dh
- enable building twice in a row by creating a copy of original
docs/reference which differs drastically from the doc created
in the build process
- implement some dh_install, dh_link calls directly in rules
instead of helper files to reduce the number of cases where
you need to change the package name due to version number
changes
* libgtkdatabox-0.9.1-3.lintian-overrides: Use override because the
symlink check seems to be a false positive here
2011-09-01 - Matthias Klose <doko@ubuntu.com>
libgtkdatabox (1:0.9.1.1-4ubuntu1) oneiric; urgency=low
* Undefined GDK_DISABLE_DEPRECATED to avoid warning: assignment makes
pointer from integer without a cast. Fix FTBFS on amd64. LP: #831147.

See Also

Package Description
libgtkdataboxmm-0.9-0_0.9.4-3_amd64.deb C++ bindings for GtkDatabox - shared library
libgtkdataboxmm-dev_0.9.4-3_amd64.deb C++ bindings for GtkDatabox - development files
libgtkdataboxmm-doc_0.9.4-3_all.deb C++ bindings for GtkDatabox - documentation and examples
libgtkextra-3.0-doc_3.1.1-2_all.deb documentation for libgtkextra-x11-3.0
libgtkextra-3.0_3.1.1-2_amd64.deb useful set of widgets for creating GUI's for GTK+
libgtkextra-dev_3.1.1-2_amd64.deb development files for libgtkextra-x11-3.0
libgtkgl2.0-1_2.0.1-2.2_amd64.deb OpenGL context support for GTK+ (shared libraries)
libgtkgl2.0-dev_2.0.1-2.2_amd64.deb OpenGL context support for GTK+ (development files)
libgtkglada2.24.4-dev_2.24.4dfsg-1_amd64.deb Ada binding for GTK+ OpenGL extensions (development files)
libgtkglada2.24.4_2.24.4dfsg-1_amd64.deb Ada binding for GTK+ OpenGL extensions (dynamic library)
libgtkglarea-cil-dev_0.0.17-6_all.deb CLI bindings for the GTK OpenGL area widget
libgtkglarea-cil-examples_0.0.17-6_all.deb gtkglarea-sharp examples
libgtkglarea0.0-cil_0.0.17-6_all.deb CLI bindings for the GTK OpenGL area widget
libgtkglext1-dev_1.2.0-3.2_amd64.deb OpenGL Extension to GTK+ (development files)
libgtkglext1-doc_1.2.0-3.2_all.deb OpenGL Extension to GTK+ (documentation)
Advertisement
Advertisement